The viewer and designer can be combined into one edit-and-preview flow, switching between them with a flag (Angular).

Toggle the two components with a flag.
@Component({
    imports: [Designer, Viewer],
    template: `
    @if (isViewer) {
        <sti-viewer [report]="report" [options]="viewerOptions"
            (onDesignReport)="onDesignReport($event)"></sti-viewer>
    } @else {
        <sti-designer [(report)]="report" [options]="designerOptions"
            (onExit)="onExitDesigner()"></sti-designer>
    }`
})
export class WorkingWithOnDesignAndOnExitEvents {
    isViewer = true;
    onDesignReport(a) { this.isViewer = false; }
    async onExitDesigner() { await this.report.renderAsync2(); this.isViewer = true; }
}

How it works. A single flag chooses which component renders, so users move from preview to editing and back within one screen.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.

The viewer and designer can be combined into one edit-and-preview flow, switching between them with a reactive flag (Vue).

Toggle the two components with a ref.
<script setup lang="ts">
import { ref } from 'vue';
import { Viewer, Stimulsoft } from 'stimulsoft-reports-js-vuejs/viewer'
import { Designer } from 'stimulsoft-reports-js-vuejs/designer'

const isViewer = ref(true);
function onDesignReport(args) { isViewer.value = false; }
async function onExitDesigner() { await report.renderAsync2(); isViewer.value = true; }
</script>

<template>
    <Viewer v-if="isViewer" :options="viewerOptions" :report="report" @design-report="onDesignReport" />
    <Designer v-else :options="designerOptions" :report="report" @exit="onExitDesigner" />
</template>

How it works. A reactive ref chooses which component renders, so users move from preview to editing and back within one screen.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.